package cloudloc.client;

/**
 * Class for keeping configuration parameters
 * @author f-ishikawa
 *
 */
public class ClientConfig {

	/* Access keys */
	static String ACCESS_KEY = "XXXXXXXXXXX";
	static String SEC_KEY = "XXXXXXXXXXX";
		
	/* Bucket Names in Amazon S3 for input data (Java code files) and control data (configuration and results) */
	static String BUCKET_NAME = "test-s3-bucket-001";
	static String CONTROL_BUCKET_NAME = "test-s3-bucket-002";
	
	/* The file that keeps all the paths of the Java code files to be processed */
	static String TASK_FILE = "log/tasks.txt";

	/* The path where all the target Java code files reside */
	static String JAVA_SRC_PATH = "../../java_src/";

	/* VM Image ID (VM that launches LOC service) */
	static String AMI_ID = "ami-472ae92e";
	
	/* Security Group ID (allows 8080 access to the LOC service, possibly with ssh for debug) */
	static String SECURITY_GROUP_ID = "sg-c50b36ac";

}
